﻿<?xml version="1.0" encoding="utf-8"?>
<!--
This file is used by the publish/package process of your Web project. You can customize the behavior of this process
by editing this MSBuild file. In order to learn more about this please visit https://go.microsoft.com/fwlink/?LinkID=208121. 
-->
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <WebPublishMethod>MSDeploy</WebPublishMethod>
    <LastUsedBuildConfiguration>Release</LastUsedBuildConfiguration>
    <LastUsedPlatform>Any CPU</LastUsedPlatform>
    <SiteUrlToLaunchAfterPublish>http://crm-ssceducation.org</SiteUrlToLaunchAfterPublish>
    <LaunchSiteAfterPublish>True</LaunchSiteAfterPublish>
    <ExcludeApp_Data>False</ExcludeApp_Data>
    <MSDeployServiceURL>https://amrit78-001-site1.htempurl.com:8172/MsDeploy.axd?site=amrit78-001-site1</MSDeployServiceURL>
    <DeployIisAppPath>amrit78-001-site1</DeployIisAppPath>
    <RemoteSitePhysicalPath />
    <SkipExtraFilesOnServer>True</SkipExtraFilesOnServer>
    <MSDeployPublishMethod>WMSVC</MSDeployPublishMethod>
    <EnableMSDeployBackup>True</EnableMSDeployBackup>
    <UserName>ifc\amrit78-001</UserName>
    <_SavePWD>False</_SavePWD>
    <PublishDatabaseSettings>
      <Objects xmlns="">
        <ObjectGroup Name="SSCWebDBEntities1" Order="2" Enabled="False">
          <Destination Path="" />
          <Object Type="DbCodeFirst">
            <Source Path="DBContext" DbContext="SSCMvc.Models.SSCWebDBEntities1, SSCMvc" Origin="Configuration" />
          </Object>
        </ObjectGroup>
        <ObjectGroup Name="SSCWebDBConnectionString" Order="3" Enabled="False">
          <Destination Path="" />
          <Object Type="DbDacFx">
            <PreSource Path="Data Source=server2;Initial Catalog=DB_99B5B5_testingdb;Persist Security Info=True;User ID=sa;Password=Dst@system;Pooling=False;Application Name=EntityFramework" includeData="False" />
            <Source Path="$(IntermediateOutputPath)AutoScripts\SSCWebDBConnectionString_IncrementalSchemaOnly.dacpac" dacpacAction="Deploy" />
          </Object>
          <UpdateFrom Type="Web.Config">
            <Source MatchValue="Data Source=server2;Initial Catalog=DB_99B5B5_testingdb;Persist Security Info=True;User ID=sa;Password=Dst@system;Pooling=False;MultipleActiveResultSets=True;Application Name=EntityFramework" MatchAttributes="$(UpdateFromConnectionStringAttributes)" />
          </UpdateFrom>
        </ObjectGroup>
        <ObjectGroup Name="SSCWebDBEntities" Order="4" Enabled="False">
          <Destination Path="" />
          <Object Type="DbDacFx">
            <PreSource Path="Data Source=server2;Initial Catalog=DB_99B5B5_testingdb;Persist Security Info=True;User ID=sa;Password=Dst@system;Pooling=False;Application Name=EntityFramework" includeData="False" />
            <Source Path="$(IntermediateOutputPath)AutoScripts\SSCWebDBEntities_IncrementalSchemaOnly.dacpac" dacpacAction="Deploy" />
          </Object>
          <UpdateFrom Type="Web.Config">
            <Source MatchValue="metadata=res://*/Models.SSCWeb.csdl|res://*/Models.SSCWeb.ssdl|res://*/Models.SSCWeb.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=server2;initial catalog=DB_99B5B5_testingdb;persist security info=True;user id=sa;password=Dst@system;pooling=False;MultipleActiveResultSets=True;App=EntityFramework&quot;" MatchAttributes="$(UpdateFromConnectionStringAttributes)" />
          </UpdateFrom>
        </ObjectGroup>
        <ObjectGroup Name="SSCWebQuery" Order="5" Enabled="False">
          <Destination Path="" />
          <Object Type="DbDacFx">
            <PreSource Path="Data Source=server2;Initial Catalog=DB_99B5B5_testingdb;Persist Security Info=True;User ID=sa;Password=Dst@system;Pooling=False;MultipleActiveResultSets=True;Application Name=EntityFramework" includeData="False" />
            <Source Path="$(IntermediateOutputPath)AutoScripts\SSCWebQuery_IncrementalSchemaOnly.dacpac" dacpacAction="Deploy" />
          </Object>
          <UpdateFrom Type="Web.Config">
            <Source MatchValue="Data Source=server2;Initial Catalog=DB_99B5B5_testingdb;Persist Security Info=True;User ID=sa;Password=Dst@system;Pooling=False;MultipleActiveResultSets=True;Application Name=EntityFramework" MatchAttributes="$(UpdateFromConnectionStringAttributes)" />
          </UpdateFrom>
        </ObjectGroup>
        <ObjectGroup Name="DefaultConnection" Order="6" Enabled="False">
          <Destination Path="" />
          <Object Type="DbCodeFirst">
            <Source Path="DBContext" DbContext="SSCMvc.Models.UsersContext, SSCMvc" Origin="Convention" />
          </Object>
        </ObjectGroup>
      </Objects>
    </PublishDatabaseSettings>
  </PropertyGroup>
  <ItemGroup>
    <MSDeployParameterValue Include="$(DeployParameterPrefix)DefaultConnection-Web.config Connection String" />
    <MSDeployParameterValue Include="$(DeployParameterPrefix)SSCWebDBConnectionString-Web.config Connection String" />
    <MSDeployParameterValue Include="$(DeployParameterPrefix)SSCWebDBEntities-Web.config Connection String" />
    <MSDeployParameterValue Include="$(DeployParameterPrefix)SSCWebDBEntities1-Web.config Connection String" />
    <MSDeployParameterValue Include="$(DeployParameterPrefix)SSCWebQuery-Web.config Connection String" />
    <MSDeployParameterValue Include="SSCWebDBEntities-Web.config Connection String">
      <UpdateDestWebConfig>False</UpdateDestWebConfig>
    </MSDeployParameterValue>
    <MSDeployParameterValue Include="SSCWebDBConnectionString-Web.config Connection String">
      <UpdateDestWebConfig>False</UpdateDestWebConfig>
    </MSDeployParameterValue>
    <MSDeployParameterValue Include="SSCWebDBEntities1-Web.config Connection String">
      <UpdateDestWebConfig>False</UpdateDestWebConfig>
    </MSDeployParameterValue>
    <MSDeployParameterValue Include="DefaultConnection-Web.config Connection String">
      <UpdateDestWebConfig>False</UpdateDestWebConfig>
    </MSDeployParameterValue>
  </ItemGroup>
  <ItemGroup>
    <_ConnectionStringsToInsert Include="DefaultConnection" />
  </ItemGroup>
</Project>